Virtual fields: if selecting integer as data type, then field shows as decimal

2014-07-31 10:32 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Virtual Fields

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19336

Description

Steps:

    -  add a virtual field using a geometry function like $area

    -  choose "integer" as data type

    -  have a look at the table of attributes, values are shown with the max possible of decimals numbers

On the other hand when choosing a decimal data type the number of chosen decimals seems to be respected.

Related issues:

Related to QGIS Application - Bug report # 11000: QgsExpression target format Closed 2014-08-03

Associated revisions

Revision 7318c730 - 2014-10-06 10:18 AM - Matthias Kuhn

Convert values to target field format

For the field calculator and virtual fields.

Fix #11000

Fix #10995

Fix #10993

History

#1 - 2014-08-01 02:09 AM - Giovanni Manghi

- Subject changed from Virtual fields: if selecting integer as data type, then selection is ignored to Virtual fields: if selecting integer as data type, then field 

shows as decimal

#2 - 2014-10-03 07:31 AM - Giovanni Manghi

still true on the latest master.

#3 - 2014-10-06 01:19 AM - Matthias Kuhn

- Status changed from Open to Closed

2025-04-27 1/2



Fixed in changeset commit:"7318c73012a2c7245f5ac7a268a457ae84f0a4de".
